@echo off
setlocal
Rem ------------------------------------------------------------------------------------------------
Rem PersistentData修復処理非同期実行バッチ
Rem 
Rem Copyright (C) 2019 SAY Technologies, Inc. All rights reserved.
Rem 最終修正日：2019/04/11
Rem 第1引数：SRSID
Rem 第2引数：SRS6\bin
Rem 第3引数：$(PersistentDataDir)
Rem ------------------------------------------------------------------------------------------------

REM --- 自分自身の格納ディレクトリを取得
SET SRSID=%~1
SET SRSBIN=%~s2
SET PERSISTENTDATA_PATH=%~s3

REM --- 2分間待機する ---
SET SLEEP_VBS=%SRSBIN%\persistent_data_repair_sleep.vbs
echo WScript.Sleep 120000 > "%SLEEP_VBS%"
cscript //nologo "%SLEEP_VBS%" > NUL
del /f "%SLEEP_VBS%" > NUL

REM --- PersistentData修復バッチを非同期で実行する ---
start "" cmd /c %SRSBIN%\PersistentDataRepair.bat %SRSID% %SRSBIN% %PERSISTENTDATA_PATH%

endlocal
@echo on
exit /b 0